.include "common.inc"

#define Typ "Qynx 20"

; PORT  definities *************************************************************

;PORT B

.equ	CpFET	=1	; Aansturing FET plus
.equ	BpFET	=2	; Aansturing FET plus
.equ	ApFET	=3	; Aansturing FET plus

.equ	INIT_PB		= (1<<ApFET) + (1<<BpFET) + (1<< CpFET)
.equ    DIR_PB		= (1<<ApFET) + (1<<BpFET) + (1<< CpFET)
.equ	BRAKE_PB	= 0

;PORT C

.equ	AnFET	=0	; Aansturing FET massa
.equ	BnFET	=1	; Aansturing FET massa 
.equ	CnFET	=2	; Aansturing FET massa
.equ	mux_a	=3	;
.equ	mux_b	=4	;
.equ	mux_c	=5	;

.equ	INIT_PC	=0
.equ    DIR_PC	= (1<<AnFET) + (1<<BnFET) + (1<< CnFET)
.equ    BRAKE_PC= (1<<AnFET) + (1<<BnFET) + (1<< CnFET)

;PORT D

.equ	DbgLED	=2	; LED
.equ	rcp_in	=3  ; INT1 PPM input
.equ	c_comp	=6


.equ	INIT_PD		= (1<<DbgLED) ; Led staat uit
.equ    DIR_PD		= (1<<DbgLED)
.equ	BRAKE_PD	= 0

#define LED_UIT      	sbi     PORTD,2	; LED uit
#define LED_AAN   		cbi     PORTD,2	; LED aan

#define DbgLEDOn        sbi     PORTD,2
#define DbgLEDOff       cbi     PORTD,2

; FET Control *****************************************************************


#define ApFET_on        cbi     PORTB,3
#define ApFET_off       sbi     PORTB,3

#define BpFET_on        cbi     PORTB,2
#define BpFET_off       sbi     PORTB,2

#define CpFET_on        cbi     PORTB,1
#define CpFET_off       sbi     PORTB,1

#define AnFET_on        sbi     PORTC,0
#define AnFET_off       cbi     PORTC,0

#define BnFET_on        sbi     PORTC,1
#define BnFET_off       cbi     PORTC,1

#define CnFET_on        sbi     PORTC,2
#define CnFET_off       cbi     PORTC,2

; Comparator definitions ******************************************************

.macro AcInit
  ACMultiplexed
.endmacro


.macro AcPhaseA
  ACChannel mux_a
.endmacro


.macro AcPhaseB
  ACChannel mux_b
.endmacro


.macro AcPhaseC
  ACChannel mux_c
.endmacro

;*************************
; Parameters             *
;*************************
.equ MOT_BRAKE        = 0
.equ CLK_SCALE        = 2                       ; 16Mhz external resonator
.equ READ_CALIBRATION = 0                       ;

;*************************
; Timings                *
;*************************

.equ	CHANGE_TIMEOUT	= 0x01
.equ	CHANGE_TOT_LOW	= 0x01

.equ    MIN_DUTY        = 3*POWER_RANGE/100     ; Min power 3%

.equ	PWR_MAX_RPM1	= POWER_RANGE/4
.equ	PWR_MAX_RPM2	= POWER_RANGE/2

.equ	PWR_STARTUP		= 5*POWER_RANGE/100		;  5%
.equ    PWR_MAX_STARTUP = 12*POWER_RANGE/100    ; 12%

.equ	timeoutSTART	= 65000
.equ	timeoutMIN		= 48000

.equ	PWR_RANGE1		= 0x40	; ( ~2400 RPM )
.equ	PWR_RANGE2		= 0x20	; ( ~4800 RPM )

.equ	ENOUGH_GOODIES	= 60
